Get TTS history
curl --request GET \
--url https://api.tryhamsa.com/v2/tts/histories/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.tryhamsa.com/v2/tts/histories/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.tryhamsa.com/v2/tts/histories/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Operation completed successfully",
"messageKey": "OPERATION_SUCCESSFUL",
"data": {
"id": "c4f66d94-a1f5-4000-b9a3-dad55b206968",
"audio": "https://cdn.tryhamsa.com/tts-histories/audio.wav",
"downloadUrl": "https://cdn.tryhamsa.com/tts-histories/audio.wav?response-content-disposition=attachment",
"script": "hello hello",
"createdAt": "2025-12-31T08:19:52.129Z",
"ttsVoice": {
"name": "Huda",
"dialect": {
"languageCode": "oma",
"language": "ar"
}
}
}
}{
"code": 9400,
"message": "Field must be a string!",
"messageKey": "FieldMustBeString"
}{
"success": false,
"code": 404,
"message": "Resource not found"
}{
"success": false,
"code": 500,
"message": "Internal server error"
}Text to Speech Routes
Get TTS history
Retrieve a single TTS history entry by ID.
GET
/
v2
/
tts
/
histories
/
{id}
Get TTS history
Authorizations
Pass the API key in the Authorization header, You need to put Token keyword before the API key. e.g. 'Authorization: Token '
Path Parameters
History identifier.
Example:
"48f7656f-098b-4c43-b165-7cfd2cc8ac30"
Query Parameters
Project identifier.
Example:
"ae6d58c6-c6bd-4ae0-ad74-b8b39c29928b"
Was this page helpful?
⌘I